Loading...
Searching...
No Matches
rpcbasic_extractor< T, double > Class Template Reference

Specialized extractor class for double data. More...

`#include <gnuradio/rpcregisterhelpers.h>`

## Public Member Functions

| rpcbasic_extractor (T *source, void(T::*func)(double))
void | post (pmt::pmt_t which_port, pmt::pmt_t msg)
| send `msg` to `msg_accepter` on port `which_port`
Public Member Functions inherited from rpcextractor_base< T, double >
| rpcextractor_base (T *source, void(T::*func)(double))
| ~rpcextractor_base () override
void | post (pmt::pmt_t which_port, pmt::pmt_t msg) override
| send `msg` to `msg_accepter` on port `which_port`
Public Member Functions inherited from gr::messages::msg_accepter
| msg_accepter ()
virtual | ~msg_accepter ()

## Additional Inherited Members

Protected Attributes inherited from rpcextractor_base< T, double >
T * | _source
void(T::* | _func )(double)

## Detailed Description

template<typename T>
class rpcbasic_extractor< T, double >

Specialized extractor class for double data.

## Constructor & Destructor Documentation

## rpcbasic_extractor()

template<typename T >

rpcbasic_extractor< T, double >::rpcbasic_extractor | ( | T * | source,
|  | void(T::* | func )(double) )

inline

## Member Function Documentation

## post()

template<typename T >

void rpcbasic_extractor< T, double >::post | ( | pmt::pmt_t | which_port,
|  | pmt::pmt_t | msg )

inline virtual

send `msg` to `msg_accepter` on port `which_port`

Sending a message is an asynchronous operation. The `post` call will not wait for the message either to arrive at the destination or to be received.

Implements gr::messages::msg_accepter.

References pmt::to_double().

The documentation for this class was generated from the following file:

- rpcregisterhelpers.h